Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface ExcludeListType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ExcludeListTypeImpl

    public interface ExcludeListType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `exclude-listType` xsd type

Original Documentation:

The exclude-listType specifies one or more methods which
the Assembler marks to be uncallable.
If the method permission relation contains methods that are
in the exclude list, the Deployer should consider those
methods to be uncallable.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<MethodType<ExcludeListType<T>>>` | `getMethodList()` Returns all `method` elements
`MethodType<ExcludeListType<T>>` | `method()` Returns the `method` element
`ExcludeListType<T>` | `removeAllDescription()` Removes the `description` element
`ExcludeListType<T>` | `removeAllMethod()` Removes all `method` elements
`ExcludeListType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ExcludeListType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ExcludeListType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ExcludeListType`

### setDescriptionList

    ExcludeListType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ExcludeListType`

### removeAllDescription

    ExcludeListType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ExcludeListType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### removeAllMethod

    ExcludeListType<T> removeAllMethod()

  Removes all `method` elements

  Returns:
    the current instance of `ExcludeListType`

### method

    MethodType<ExcludeListType<T>> method()

  Returns the `method` element

  Returns:
    the node defined for the element `method`

### getMethodList

    java.util.List<MethodType<ExcludeListType<T>>> getMethodList()

  Returns all `method` elements

  Returns:
    list of `method`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD